---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.16.5
    operatorframework.io/installed-alongside-d2713d6b418fee08: openshift-storage/mcg-operator.v4.19.6-rhodf
  creationTimestamp: "2025-10-27T12:43:53Z"
  generation: 1
  labels:
    olm.managed: "true"
  managedFields:
  - apiVersion: apiextensions.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:controller-gen.kubebuilder.io/version: {}
          f:operatorframework.io/installed-alongside-d2713d6b418fee08: {}
        f:labels:
          .: {}
          f:olm.managed: {}
      f:spec:
        f:conversion:
          .: {}
          f:strategy: {}
        f:group: {}
        f:names:
          f:kind: {}
          f:listKind: {}
          f:plural: {}
          f:singular: {}
        f:scope: {}
        f:versions: {}
    manager: catalog
    operation: Update
    time: "2025-10-27T12:43:53Z"
  - apiVersion: apiextensions.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:acceptedNames:
          f:kind: {}
          f:listKind: {}
          f:plural: {}
          f:singular: {}
        f:conditions:
          k:{"type":"Established"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"NamesAccepted"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-apiserver
    operation: Update
    subresource: status
    time: "2025-10-27T12:43:53Z"
  name: imagecatalogs.postgresql.cnpg.noobaa.io
  resourceVersion: "59763"
  uid: 155d4881-0708-4392-95f8-6261c637768f
spec:
  conversion:
    strategy: None
  group: postgresql.cnpg.noobaa.io
  names:
    kind: ImageCatalog
    listKind: ImageCatalogList
    plural: imagecatalogs
    singular: imagecatalog
  scope: Namespaced
  versions:
  - additionalPrinterColumns:
    - jsonPath: .metadata.creationTimestamp
      name: Age
      type: date
    name: v1
    schema:
      openAPIV3Schema:
        description: ImageCatalog is the Schema for the imagecatalogs API
        properties:
          apiVersion:
            description: |-
              APIVersion defines the versioned schema of this representation of an object.
              Servers should convert recognized schemas to the latest internal value, and
              may reject unrecognized values.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
            type: string
          kind:
            description: |-
              Kind is a string value representing the REST resource this object represents.
              Servers may infer this from the endpoint the client submits requests to.
              Cannot be updated.
              In CamelCase.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
            type: string
          metadata:
            type: object
          spec:
            description: |-
              Specification of the desired behavior of the ImageCatalog.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status
            properties:
              images:
                description: List of CatalogImages available in the catalog
                items:
                  description: CatalogImage defines the image and major version
                  properties:
                    image:
                      description: The image reference
                      type: string
                    major:
                      description: The PostgreSQL major version of the image. Must
                        be unique within the catalog.
                      minimum: 10
                      type: integer
                  required:
                  - image
                  - major
                  type: object
                maxItems: 8
                minItems: 1
                type: array
                x-kubernetes-validations:
                - message: Images must have unique major versions
                  rule: self.all(e, self.filter(f, f.major==e.major).size() == 1)
            required:
            - images
            type: object
        required:
        - metadata
        - spec
        type: object
    served: true
    storage: true
    subresources: {}
status:
  acceptedNames:
    kind: ImageCatalog
    listKind: ImageCatalogList
    plural: imagecatalogs
    singular: imagecatalog
  conditions:
  - lastTransitionTime: "2025-10-27T12:43:53Z"
    message: no conflicts found
    reason: NoConflicts
    status: "True"
    type: NamesAccepted
  - lastTransitionTime: "2025-10-27T12:43:53Z"
    message: the initial names have been accepted
    reason: InitialNamesAccepted
    status: "True"
    type: Established
  storedVersions:
  - v1
